rave 0.0.5

  • Readme
  • Changelog
  • Example
  • Installing
  • 59

Rave #

Flutter support for FlutterWave's RAVE API.

Documentation #

  1. See example code here
  2. For a more comprehensive documentation see this

Installation #

See package via Pub

Features #

Mobile Money #

Make MobileMoney transactions in Uganda, MPESA, Ghana, Zambia, & Rwanda

  • [X] Uganda
  • [ ] MPESA
  • [ ] Ghana
  • [ ] Zambia
  • [ ] Rwanda

Cards #

Charge debit/credit cards

  • [ ] Vanilla cards
  • [ ] AVS (address verification system)
  • [ ] AVS_VBVSECURECODE & 3DSecure Transactions
  • [ ] Nigerian Mastercard/verve card

Bank Payments #

Charge US accounts using our ACH account charge flow

  • [ ] US ACH support with WebView
  • [ ] Nigerian payments

[0.0.1] - TODO: Add release date.

  • Mobile Money UG support(charge, pay & verify transaction ).

example/README.md

Example using Rave #

Works on both Dart & Flutter

Add it as dependencies #

  1. Add it to your pubspec.yaml file
dependencies:
  rave: ^0.0.1
  1. Get all dependencies
$ flutter pub get
  1. Use it in a dart/flutter project e.g inside main.dart
import 'package:rave/rave.dart'; // import it in your Dart/Flutter code

void main() {
  var rave = new Rave(); // create a new Rave instance

  /*
   add API keys/credentials for authentication
   you can find them here https://rave.flutterwave.com/dashboard/settings/apis
  */

  rave.pubKey = "FLWPUBK-XXXXXXXXXXXXXXXXXXXXXXX-X"; // your Public key
  rave.encryptionKey = "68XXXXXXXXXXXXXXXXXXXX49"; // your Encryption key
  rave.secretKey = "FLWSECK-XXXXXXXXXXXXXXXXXXXX-X"; // your Secret key

  // Example use chargeMMUGClient() method to charge a client
  rave.chargeMMUGClient(
      "3000", // amount you are collecting
      "inbox@mail.com", // email of client your collecting from
      "+256750000000", // Mobile Money number you are collecting from
      "Arnold", // First Name of client
      "Kato", // Second name of client
      "0.0.0.0"); // IP address of client

  // Example use chargeMMUGClient() method to charge a client
  rave.verifyTXN("MC-1560068952597975949");

  // Example use payMMUGClient() method to charge a client
  rave.payMMClient(
      "Airtel", // Network operator of client
      "+256750000000", // Phone number of client
      "8000", // Amount to pay client
      "Test payment", // Reason for paying client
      "UGX", // Currency to pay client in
      "Kato Arnold"); // Full names of client to pay
  }

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  rave: ^0.0.5

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:rave/rave.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
23
Health:
Code health derived from static analysis. [more]
98
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
90
Overall:
Weighted score of the above. [more]
59
Learn more about scoring.

We analyzed this package on Dec 11, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.6.1
  • pana: 0.12.21

Health suggestions

Fix lib/rave.dart. (-1.49 points)

Analysis of lib/rave.dart reported 3 hints:

line 14 col 3: Prefer using /// for doc comments.

line 42 col 3: Prefer using /// for doc comments.

line 55 col 3: Prefer using /// for doc comments.

Fix lib/utils/encryption.dart. (-1 points)

Analysis of lib/utils/encryption.dart reported 2 hints:

line 24 col 21: Unnecessary new keyword.

line 24 col 37: Unnecessary new keyword.

Maintenance suggestions

Package is pre-v0.1 release. (-10 points)

While nothing is inherently wrong with versions of 0.0.*, it might mean that the author is still experimenting with the general direction of the API.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
crypto ^2.0.6 2.1.4
http ^0.12.0+1 0.12.0+2
tripledes ^2.1.0 2.1.0
Transitive dependencies
async 2.4.0
charcode 1.1.2
collection 1.14.12
convert 2.1.1
http_parser 3.1.3
meta 1.1.8
path 1.6.4
pedantic 1.9.0
source_span 1.5.5
string_scanner 1.0.5
term_glyph 1.1.0
typed_data 1.1.6